#include <vector>
#include <iostream>

#include "labs/sorting/lab1.hpp"

int main(int argc, const char* argv[]) {
	if ( argc != 1 ) {
		std::cerr << "usage: " << argv[0] << ": " << argv[1] << std::endl;
		return EXIT_FAILURE;
	}

    // generate a list and sort it
    auto myList = generate_list(10000, true, false);
    bubble_sort(myList);

    // check if things are in order
    if (in_order(myList.begin(), myList.end())) {
        std::cout << "sorted correctly" << std::endl;
        return EXIT_SUCCESS;
    } else {
        std::cout << "not sorted correctly" << std::endl;
        return EXIT_FAILURE;
    }
}
